"{ Package: 'jv:smallsense' }"

"{ NameSpace: SmallSense }"

JavaCompletionEngineSimple subclass:#GroovyCompletionEngineSimple
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Groovy'
!


!GroovyCompletionEngineSimple class methodsFor:'accessing-definitions'!

patternDefinitionsForAnalysis
    ^ super patternDefinitionsForAnalysis , { 
        #analyzeLocalDef1:              .  '[[:def:]] [[:Identifier:]] ( = | ; )' .
    }

    "
    self flush; patternsForAnalysis
    "

    "Created: / 23-05-2014 / 10:24:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

patternDefinitionsForCompletion
    
    ^super patternDefinitionsForCompletion , { 
        #completeLocalDef:              . '( ', PatternPrimitiveType , ' | ' , PatternReferenceType , ' | [[:def:]] ) [[:Identifier:]] [[:CARET:]]' .
    }

    "
    self flush.
    self patternsForCompletion
    "

    "Created: / 19-05-2014 / 12:32:59 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GroovyCompletionEngineSimple methodsFor:'accessing-class'!

scannerClass
    "raise an error: this method should be implemented (TODO)"

    ^ GroovyScanner

    "Created: / 13-05-2014 / 17:46:21 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GroovyCompletionEngineSimple methodsFor:'analysis'!

analyzeLocalDef1: match
    "Analyze:

    def <identifier> ;

    "
    | name |

    self assert: match size = 3.
    name := (match at: match size - 1) value.
    locals at: name put: nil.

    "Created: / 23-05-2014 / 10:26:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GroovyCompletionEngineSimple class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

