"{ Package: 'jv:smallsense' }"

"{ NameSpace: SmallSense }"

TestResource subclass:#JavaCompletionEngineEnvironmentResource
	instanceVariableNames:'booted'
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Tests'
!

!JavaCompletionEngineEnvironmentResource methodsFor:'running'!

setUp
    JavaVM isNil ifTrue:[ 
        self signalInitializationError.
    ].
    
    booted := JavaVM booted.

    JavaVM booted ifFalse:[ 
        [
            JavaVM boot.                            
        ] on: Error do:[:ex | 
            self signalInitializationError.
        ].
    ].

    "Created: / 22-05-2014 / 17:21:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

tearDown
    booted ifFalse:[ 
        Java flushAllJavaResources
    ].

    "Created: / 22-05-2014 / 17:21:23 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

