"{ Package: 'jv:smallsense' }"

"{ NameSpace: SmallSense }"

MethodPO subclass:#JavaConstructorPO
	instanceVariableNames:'showPrefix'
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Java-Interface-PO'
!

!JavaConstructorPO methodsFor:'accessing'!

label
    label isNil ifTrue:[
	label := (classes anElement compiledMethodAt: selector) printStringForBrowserWithSelector: selector.
	showPrefix ifTrue:[
	    label := classes anElement javaPackage , '.' , label
	].
    ].
    ^ label

    "Created: / 15-05-2014 / 12:04:02 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

showPrefix: aBoolean
    showPrefix := aBoolean

    "Created: / 15-05-2014 / 12:01:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

stringAlreadyWritten
    "Answers a string already written in the textview"

    ^ showPrefix ifTrue:[
	context wordBeforeCursorConsisitingOfCharactersMatching:[:c | c isAlphaNumeric or:['$_.' includes: c] ]
    ] ifFalse:[
	super stringAlreadyWritten
    ].

    "Created: / 15-05-2014 / 12:06:18 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

stringToCompleteForLanguage: aProgrammingLanguage
    "Answers a string to complete"

    | string |

    string := super stringToCompleteForLanguage: aProgrammingLanguage.
    showPrefix ifTrue:[
	string := classes anElement javaPackage , '.' , string
    ].
    ^ string

    "Created: / 15-05-2014 / 12:07:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !
